﻿
/*#region --- COMMON --- */
#wrapper #main #main-header h1 {
	padding:5px 0;
}
#wrapper #main #main-header  {
	margin: 0 40px 15px;
}

/*#endregion*/

/*#region --- FORMS ---*/
label .required {
    font-size:12px;
}
/*#endregion*/

/*#region --- LOGIN --- */
#login-wrap {
    padding-top:0;
    }
    #login-wrap .login-logo {
        margin:-12px 0px 15px 0px;
    }
#login-circle .login-inner-form h1 {
    margin-bottom:0;
    }
#login-circle .login-inner-form input.username,
#login-circle .login-inner-form input.password {
    background-position: 6px center;
    background-repeat: no-repeat;
    padding-left: 28px;
	}
	#login-circle .login-inner-form input.username {
		background-image: url("/Assets/Mooncake/assets/images/icons/led/src/user.png");
		border-bottom: medium none;
		border-radius: 6px 6px 0 0;
	}
	#login-circle .login-inner-form input.password {
		background-image: url("/Assets/Mooncake/assets/images/icons/led/src/key.png");
		border-radius: 0 0 6px 6px;
		border-top: 1px solid #dddddd;
	}

#login-inner .validation-summary-errors {
    margin:0 15px 10px 15px;
    text-align:center;
    padding:8px 15px 8px 15px;
    }
#login-inner .validation-summary-errors ul {
    display:none;
    }
/*#endregion*/

/*#region --- NAVIGATION ---*/

#header #header-functions #user-info #profile-ribbon {
    background: -moz-linear-gradient(center top, #333333, #262626) repeat-x scroll left bottom #262626;
    border: 1px solid #000000;
    border-radius: 3px 3px 3px 3px;
    -webkit-box-shadow: 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 0 rgba(255, 255, 255, 0.1) inset;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 0 rgba(255, 255, 255, 0.1) inset;
    color: #FFFFFF;
    margin-right: 10px;
    cursor: pointer;
    float: right;
    margin: 0px 0 0 15px;
    position: relative;
}
#header #header-functions #user-info #profile-ribbon a.dropdown-toggle {
        color: #ffffff;
        display: block;
        font-size: 21px;
        height: 38px;
        line-height: 35px;
        text-align: center;
        width: 38px;
    }

i[class^="icul-"],
i[class*=" icul-"] {
    width:16px;
    height:16px;
    margin-right:5px;
    line-height: 16px;
    display:inline-block;
    vertical-align: text-top;
    background-position:0px -1px;
    background-repeat: no-repeat;
    background-image:url(/Assets/Noyens/Images/Icons/culture-icons-16.png);
}

.dropdown-menu > li.header {
    padding:10px 10px 10px 20px;
    margin-bottom:10px;
    text-transform:uppercase;
    border-bottom:1px solid #ccc;
}
.dropdown-menu > li > a > [class^="icon-"],
.dropdown-menu > li > a > [class*="icon-"],
.dropdown-menu > li > a > [class^="icol-"],
.dropdown-menu > li > a > [class*="icol-"] {
	margin-right:8px;
}

.dropdown-menu > li > a > [class^="icom-"],
.dropdown-menu > li > a > [class*="icom-"] {
	font-size:14px;
	margin-right:8px;
	margin-left:0px;
}

.inner-nav > li > a > [class^="icom-"],
.inner-nva > li > a > [class*="icom-"] {
    height:14px;
    width:14px;
	text-align:center;
    margin: 0 4px 0 8px;
    display: inline-block;
}

[class^="icol-"],
[class^="icos-"],
[class*=" icol-"],
[class*=" icos-"] {
    vertical-align: text-bottom;
}

i.icul-de-DE {background-position:-16px -1px}
i.icul-en-GB {background-position:-62px -1px}
i.icul-en-US {background-position:-48px -1px}
i.icul-fr-BE {background-position:-15px -1px}

.btn.btn-mini i {
    margin-top:-1px;
}
.btn.btn-pure {
	background: #fff;
	-webkit-box-shadow: none;
	box-shadow: none;
}
.btn.btn-tiny {
    padding: 0 4px;
}
.btn.btn-icon {
	background: none;
	-webkit-box-shadow: none;
	box-shadow: none;
	border: none;
}

/*#endregion*/

/*#region --- TABLE --- */

.table thead th:not(:first-child),
.table tbody tr td:not(:first-child) {
    border-left: 1px solid #ccc;
}

.table thead {
    }
    .table.table-detail-view thead {
        background:none;
        background-image:none;
    }
    .table thead th.sortable {
        cursor:pointer;
        background:url(/Assets/Noyens/Images/Layout/grid-sort-btn.png) no-repeat right -57px;
        }
        .table thead th.sortable.asc {
            color:#000;
            background-position:right 3px;
        }
        .table thead th.sortable.desc {
            color:#000;
            background-position:right -27px;
        }
	.table thead th i {
		margin-right:5px;
	}

.table tbody tr td {
    vertical-align:middle;
}
    .table tbody tr td.valign-top {
        vertical-align:top;
    }
.table tbody tr.row-group td {
    font-weight:bold;
    background:#fff;
    text-transform:uppercase;
    padding:25px 0px 5px 15px;
    }
.table tbody tr td.void {
	font-style:italic;
	text-align:center;
	padding:45px 0px 45px 0px;
	}

.table tbody tr.row-danger td {
    color:#c75858;
    background:#ffd1d1!important;
}

.table tbody tr.row-warning td {
    color: #c69423;
    background: #fff1d1 !important;
}

.table-footer {
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-color: #CCCCCC;
    border-image: none;
    border-style: solid;
    border-width: 0 1px 1px;
    padding: 10px;
    }
    .table-footer .pager-nav {
        float:right;
        }
    .table-footer .pager-nav a i {
        width: 14px;
        height: 14px;
        display: inline-block;
        background:url(/Assets/Noyens/Images/Layout/pager-arrows.png) no-repeat;
        }
        .table-footer .pager-nav a.first i {background-position:0px 1px;}
        .table-footer .pager-nav a.prev i {background-position:0px -13px;}
        .table-footer .pager-nav a.next i {background-position:0px -27px;}
        .table-footer .pager-nav a.last i {background-position:0px -41px;}
    .table-footer .pager-info {
        float:right;
        margin-right:15px;
        padding:4px 15px 4px 0px;
        border-right:1px solid #ccc;
        }

/*#endregion*/

/*#region --- TOOLBAR --- */

.toolbar .navbar .navbar-inner {
    padding: 6px 10px 5px 10px;
    }
    .toolbar .navbar .navbar-inner .btn-toolbar {
        margin:0;
    }

.toolbar-fixed .navbar {
    margin-bottom:0;
    }
    .toolbar-fixed .navbar .navbar-inner {
        border-radius: 4px 4px 0 0;
        padding: 0 5px;
    }
    .toolbar-fixed .navbar .navbar-inner .btn-toolbar {
        margin: 0;
        margin-top:1px;
    }

.search-control {
    margin-top:6px;
    }
    .search-control input {
        margin:0;
        padding-left:30px;
        padding-right:25px;
    }
    .search-control i {
        position:absolute;
    }
    .search-control .icon-search {
        margin:7px 0px 0px 8px;
    }
    .search-control .icon-remove {
        cursor:pointer;
        display:none;
        margin:7px 0px 0px -20px;
    }
    .search-control .icon-spinner {
        padding:8px;
        display:none;
        position:absolute;
        margin:6px 0px 0px -20px;
        background:url(/Assets/Noyens/Images/Icons/preloader-spin.gif) no-repeat 0px 0px;
    }

.modal-dialog-body > .toolbar.form-toolbar form {
    padding: 8px;
}
.modal-dialog-body > .toolbar {
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background: -moz-linear-gradient(center top, #FFFFFF, #F2F2F2) repeat-x scroll left bottom #FAFAFA;
    border-color: -moz-use-text-color #CCCCCC #CCCCCC;
    -moz-border-image: none;
    -o-border-image: none;
    -webkit-border-image: none;
    border-image: none;
    border-bottom: 1px solid #CCCCCC;
}

/*#endregion*/

/*#region --- WIDGETS --- */

.rich-icon {
    }
    .rich-icon i {
        margin-right:5px;
        margin-top:-1px;
    }

.summary-list > ul > li .key .btn [class^="icon-"],
.summary-list > ul > li .key .btn [class^="icol-"],
.summary-list > ul > li .key .btn [class^="icos-"],
.summary-list > ul > li .key .btn [class*=" icon-"],
.summary-list > ul > li .key .btn [class*=" icol-"],
.summary-list > ul > li .key .btn [class*=" icos-"] {
    margin-right:0px;
}

.summary-list > ul > li .key.key-compact {
    width:50px;
    padding:5px 0;
}
.summary-list > ul > li .val.val-compact {
    margin-left:25px;
    padding:5px 0;
}

.widget-content > .toolbar.btn-toolbar {
    margin: 0;
    position: relative;
}
.widget-content > .toolbar {
    background: -moz-linear-gradient(center top , #FFFFFF, #F2F2F2) repeat-x scroll left bottom #FAFAFA;
    border:0;
    border-bottom:1px solid #ccc;
}
.widget-content > .toolbar.btn-toolbar .btn {
    border:0 !important;
    border-radius: 0 0 0 0 !important;
}
.widget-content > .toolbar.btn-toolbar .btn:first-child {
    border-left: 0;
}

.tab-pane .table-container .table {
    border:0;
}
.tab-pane .table-container .table:not(:first-child) {
    border-top:1px solid #ccc;
}
.tab-pane .table-container .table-tabbed {
    border:1px solid #ccc;
}
.tab-pane .table-container .table-tabbed th {
    border:0;
}

.tab-pane .table-container .table-detail-view {
    border:1px solid #ccc;
    margin-top:-1px;
}

/*#endregion*/

/*#region --- JQUERY UI ---*/
.ui-autocomplete {
	max-height:200px;
	overflow-y:auto;
	overflow-x:hidden;
}

.ui-sortable .drag-handle {
    cursor: move;
}
.ui-dragging {
	color: #fff;
	background-color: #888!important;
}
.ui-dragging td {
	color:#fff;
	background-color:#888!important;
}

.ui-date-controls {
    float:left;
}
.ui-date-controls .date-field {
  cursor:pointer;
}
.ui-date-controls .icon-calendar {
  opacity:0.5;
  position:absolute;
  margin:7px 0 0 -20px;
}
.ui-date-controls label {
	margin:0;
	padding:0!important;
}

.ui-datepicker .ui-datepicker-prev span:after,
.ui-datepicker .ui-datepicker-next span:after {
    font-family: 'FontAwesome';
}
/*#endregion*/
